{config, ...}: {
  programs.firefox = {
    enable = true;

    profiles.kristian = {
      isDefault = true;
      search.default = "DuckDuckGo";
      search.force = true;

      extensions = with config.nur.repos.rycee.firefox-addons; [
        ublock-origin
        umatrix
        sidebery
        sponsorblock
        dearrow
      ];

      settings = {
        "extensions.pocket.enabled" = false;
      };
    };
  };
}
